/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package webfly.Vsitas;

import java.awt.Graphics;
import java.awt.Image;
import javax.swing.ImageIcon;
import javax.swing.JPanel;
import webfly.Utileria.FondoPanel;

/**
 *
 * @author Luis Santiago
 */
public class InicioVista extends javax.swing.JFrame {

    /**
     * Creates new form IndexVista
     */

    public InicioVista() {
    
        initComponents();
    }
       class iconoimagen extends JPanel{
        private Image Fondo;
        
       @Override
        public void paint(Graphics g){
            Fondo = new ImageIcon(getClass().getResource("/webfly/Imagenes/Icon1.png")).getImage();
            g.drawImage(Fondo,0,0,getWidth(),getHeight(),this);
            setOpaque(false);
            super.paint(g);
        }
    }
    class fondo extends JPanel{
        private Image Fondo;
        
       @Override
        public void paint(Graphics g){
            Fondo = new ImageIcon(getClass().getResource("/webfly/Imagenes/fondoLogin.jpg")).getImage();
            
            g.drawImage(Fondo,0,0,getWidth(),getHeight(),this);
            setOpaque(false);
            super.paint(g);
            System.out.println("Se pudo");
        }
    }
   class fondo2 extends JPanel{
        private Image Fondo;
        
       @Override
        public void paint(Graphics g){
            Fondo = new ImageIcon(getClass().getResource("/webfly/Imagenes/info1.jpg")).getImage();
            
            g.drawImage(Fondo,0,0,getWidth(),getHeight(),this);
            setOpaque(false);
            super.paint(g);
            System.out.println("Se pudo");
        }
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        JPIcono = new iconoimagen();
        JBinicio = new javax.swing.JButton();
        JBvuelos = new javax.swing.JButton();
        JBciudades1 = new javax.swing.JButton();
        JBciudades2 = new javax.swing.JButton();
        JBciudades3 = new javax.swing.JButton();
        JPfondo = new FondoPanel("/webfly/Imagenes/fonfoLogin.jpg");
        JPinfo1 = new FondoPanel("/webfly/Imagenes/info1.jpg");

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setExtendedState(6);

        jPanel1.setBackground(new java.awt.Color(204, 204, 204));

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        javax.swing.GroupLayout JPIconoLayout = new javax.swing.GroupLayout(JPIcono);
        JPIcono.setLayout(JPIconoLayout);
        JPIconoLayout.setHorizontalGroup(
            JPIconoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 50, Short.MAX_VALUE)
        );
        JPIconoLayout.setVerticalGroup(
            JPIconoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 50, Short.MAX_VALUE)
        );

        JBinicio.setBackground(new java.awt.Color(255, 255, 255));
        JBinicio.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        JBinicio.setText("INICO");
        JBinicio.setBorder(null);
        JBinicio.setBorderPainted(false);
        JBinicio.setContentAreaFilled(false);
        JBinicio.setDefaultCapable(false);
        JBinicio.setFocusPainted(false);
        JBinicio.setFocusable(false);
        JBinicio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                JBinicioActionPerformed(evt);
            }
        });

        JBvuelos.setBackground(new java.awt.Color(255, 255, 255));
        JBvuelos.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        JBvuelos.setText("VUELOS");
        JBvuelos.setBorder(null);
        JBvuelos.setBorderPainted(false);
        JBvuelos.setContentAreaFilled(false);
        JBvuelos.setDefaultCapable(false);
        JBvuelos.setFocusPainted(false);
        JBvuelos.setFocusable(false);
        JBvuelos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                JBvuelosActionPerformed(evt);
            }
        });

        JBciudades1.setBackground(new java.awt.Color(255, 255, 255));
        JBciudades1.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        JBciudades1.setText("INICIAR SECCION");
        JBciudades1.setBorder(null);
        JBciudades1.setBorderPainted(false);
        JBciudades1.setContentAreaFilled(false);
        JBciudades1.setDefaultCapable(false);
        JBciudades1.setFocusPainted(false);
        JBciudades1.setFocusable(false);
        JBciudades1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                JBciudades1ActionPerformed(evt);
            }
        });

        JBciudades2.setBackground(new java.awt.Color(255, 255, 255));
        JBciudades2.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        JBciudades2.setText("CIUDADES");
        JBciudades2.setBorder(null);
        JBciudades2.setBorderPainted(false);
        JBciudades2.setContentAreaFilled(false);
        JBciudades2.setDefaultCapable(false);
        JBciudades2.setFocusPainted(false);
        JBciudades2.setFocusable(false);
        JBciudades2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                JBciudades2ActionPerformed(evt);
            }
        });

        JBciudades3.setBackground(new java.awt.Color(255, 255, 255));
        JBciudades3.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        JBciudades3.setText("CONFIGURACION");
        JBciudades3.setBorder(null);
        JBciudades3.setBorderPainted(false);
        JBciudades3.setContentAreaFilled(false);
        JBciudades3.setDefaultCapable(false);
        JBciudades3.setFocusPainted(false);
        JBciudades3.setFocusable(false);
        JBciudades3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                JBciudades3ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(JPIcono, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(JBinicio, javax.swing.GroupLayout.PREFERRED_SIZE, 141, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(JBvuelos, javax.swing.GroupLayout.PREFERRED_SIZE, 142, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(JBciudades2, javax.swing.GroupLayout.PREFERRED_SIZE, 181, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(JBciudades3, javax.swing.GroupLayout.PREFERRED_SIZE, 181, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 57, Short.MAX_VALUE)
                .addComponent(JBciudades1, javax.swing.GroupLayout.PREFERRED_SIZE, 136, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(20, 20, 20))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(JPIcono, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(61, 61, 61))
            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel2Layout.createSequentialGroup()
                .addGap(26, 26, 26)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(JBinicio)
                    .addComponent(JBvuelos)
                    .addComponent(JBciudades1)
                    .addComponent(JBciudades2)
                    .addComponent(JBciudades3))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout JPfondoLayout = new javax.swing.GroupLayout(JPfondo);
        JPfondo.setLayout(JPfondoLayout);
        JPfondoLayout.setHorizontalGroup(
            JPfondoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 0, Short.MAX_VALUE)
        );
        JPfondoLayout.setVerticalGroup(
            JPfondoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 289, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout JPinfo1Layout = new javax.swing.GroupLayout(JPinfo1);
        JPinfo1.setLayout(JPinfo1Layout);
        JPinfo1Layout.setHorizontalGroup(
            JPinfo1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 780, Short.MAX_VALUE)
        );
        JPinfo1Layout.setVerticalGroup(
            JPinfo1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 160, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(JPfondo, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(JPinfo1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(JPfondo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 76, Short.MAX_VALUE)
                .addComponent(JPinfo1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(23, 23, 23))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void JBinicioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_JBinicioActionPerformed
  
    }//GEN-LAST:event_JBinicioActionPerformed

    private void JBvuelosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_JBvuelosActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_JBvuelosActionPerformed

    private void JBciudades1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_JBciudades1ActionPerformed
    LoginVista prueba = new LoginVista();
    prueba.setVisible(true);
        // TODO add your handling code here:
    }//GEN-LAST:event_JBciudades1ActionPerformed

    private void JBciudades2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_JBciudades2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_JBciudades2ActionPerformed

    private void JBciudades3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_JBciudades3ActionPerformed
        
        ConfiguracionVista prueba = new ConfiguracionVista();
        prueba.setVisible(true);
    }//GEN-LAST:event_JBciudades3ActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton JBciudades1;
    private javax.swing.JButton JBciudades2;
    private javax.swing.JButton JBciudades3;
    private javax.swing.JButton JBinicio;
    private javax.swing.JButton JBvuelos;
    private javax.swing.JPanel JPIcono;
    private javax.swing.JPanel JPfondo;
    private javax.swing.JPanel JPinfo1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    // End of variables declaration//GEN-END:variables
}
